oracle.xml.parser.v2

## Class XMLDOMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.DOMException
        - - oracle.xml.parser.v2.XMLDOMException

All Implemented Interfaces:
  java.io.Serializable

    public class XMLDOMException
    extends DOMException

This class is used to throw DOM exceptions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.w3c.dom.DOMException

`code, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, INDEX_SIZE_ERR, INUSE_ATTRIBUTE_ERR, INVALID_ACCESS_ERR, INVALID_CHARACTER_ERR, INVALID_MODIFICATION_ERR, INVALID_STATE_ERR, NAMESPACE_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, SYNTAX_ERR, WRONG_DOCUMENT_ERR`

### Constructor Summary

Constructors
Constructor and Description
`XMLDOMException(short code)` Constructs a `XMLDOMException` exception with a specified message and a code.
`XMLDOMException(short code, java.lang.String s)` Constructs a `XMLDOMException` exception with a specified message and a code.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XMLDOMException

    public XMLDOMException(short code,
                           java.lang.String s)

Constructs a `XMLDOMException` exception with a specified message and a code.

Parameters:
  `code` - Code indicated in DOM interface, uses default message

#### XMLDOMException

    public XMLDOMException(short code)

Constructs a `XMLDOMException` exception with a specified message and a code.

Parameters:
  `code` - Code indicated in DOM interface, uses default message

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.